[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TInterfacedObject.RefCount

Return the current reference count

## Declaration

Source position: objpash.inc line 312

`public property TInterfacedObject.RefCount : LongInt read frefcount;`

## Description

RefCount returns the current reference count. This reference count cannot be manipulated, except through the methods of IUnknown. When it reaches zero, the class instance is destroyed.

## See also

IUnknown |  | Basic interface for all COM-based interfaces